PuTTY wish ipv6-build

Home | Licence | FAQ | Docs | Download | Keys | Links
Mirrors | Updates | Feedback | Changes | Wishlist | Team

summary: We should provide IPv6-enabled binaries.
class: wish: This is a request for an enhancement.
difficulty: taxing: Needs external things we don't have (standards, users etc)
priority: medium: This should be fixed one day.
fixed-in: 2004-12-31 (0.58) (0.59) (0.60) (0.61) (0.62) (0.63) (0.64) (0.65) (0.66) (0.67)

PuTTY has IPv6 support in the codebase, but it's not compiled in to the binaries we release. We don't currently have the headers and libraries needed to compile with IPv6 support, and haven't yet got round to getting hold of them. (Therefore, we don't test the IPv6 support, either.) It's suggested that we could get them here.

In the meantime, unfix.org makes available some binaries compiled with -DIPV6. But note that we haven't personally checked them, and can't vouch for their trustworthiness.

SGT, 2004-12-30: Now that a kind and helpful user has donated a more up-to-date compiler with up-to-date headers, I have integrated unfix.org's latest patch, polished it a bit, and enabled it by default in the nightly builds.


If you want to comment on this web site, see the Feedback page.
Audit trail for this wish.
(last revision of this bug record was at 2004-12-30 16:45:11 +0000)